> For the complete documentation index, see [llms.txt](https://docs.mews.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mews.com/booking-engine-guide/changelog/changelog2022.md).

# Changelog 2022

## 13th December 2022

* API: Added [OpenAPI definition](/booking-engine-guide/booking-engine-api.md#openapi-definition)

## 9th November 2022

* API: Changed [SettlementValue](/booking-engine-guide/booking-engine-api/operations/hotels.md#rate-group) to optional field and added `SettlementFlatValue` property of absolute settlement amount

## 25th October 2022

* Widget: Added new [Google Analytics 4](/booking-engine-guide/integrations/google-triggers-reference.md#google-analytics-4-ga4-events) documentation
* Widget: Enhanced [Google Tag Manager (GTM)](/booking-engine-guide/integrations/google-tag-manager.md#google-tag-manager-gtm) documentation

## 20th October 2022

* API: Added new operation [Get services availability](/booking-engine-guide/booking-engine-api/operations/services.md#get-services-availability)
* API: Added new operation [Get services pricing](/booking-engine-guide/booking-engine-api/operations/services.md#get-services-pricing)

## 19th October 2022

* API: Added new operation [Get reservation price](/booking-engine-guide/booking-engine-api/operations/reservations.md#get-reservation-price)

## 1st July 2022

* API: Added new operation [Get availability blocks](/booking-engine-guide/booking-engine-api/operations/availability-blocks.md#get-availability-blocks)
* API: `AvailabilityBlockId` property added to [Get availability](/booking-engine-guide/booking-engine-api/operations/hotels.md#get-availability), [Create reservation groups](/booking-engine-guide/booking-engine-api/operations/reservation-groups.md#create-reservation-groups) and [Get reservation pricing](/booking-engine-guide/booking-engine-api/operations/reservations.md#get-reservation-pricing)
* API: Added new [Availability Blocks Use Case](/booking-engine-guide/booking-engine-api/use-cases/availability-blocks.md)
* API: Added new [Supported currency codes](/booking-engine-guide/booking-engine-api/guidelines/supported-currency-codes.md) documentation.
* API: Added new [Supported language codes](/booking-engine-guide/booking-engine-api/guidelines/supported-language-codes.md) documentation.

## 7th June 2022

* General: Launch of **Mews Booking Engine Guide** at new URL <https://mews-systems.gitbook.io/booking-engine-guide/>, based on the old Distributor Guide
  * Entire documentation re-structured and re-worded, for improved navigation and readability, and for consistency with other Mews APIs
  * Product re-branded from 'Distributor' to 'Mews Booking Engine'
  * No changes to API functionality

## 28th March 2022

* API: Password for test environment changed to *Distributor-api1*

## 18th January 2022

* Widget: Introduced new API methods to Distributor instance: [`setAdultCount`](/booking-engine-guide/booking-engine-widget/reference.md) and [`setChildCount`](/booking-engine-guide/booking-engine-widget/reference.md).
* Standalone: Introduced new deeplinks `mewsAdultCount` and `mewsChildCount` to set initial occupancy.

| Next                                                               |
| ------------------------------------------------------------------ |
| [Changelog 2021](/booking-engine-guide/changelog/changelog2021.md) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mews.com/booking-engine-guide/changelog/changelog2022.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
